Композитор застрял на `Что-то изменилось, снова смотрел на все правила` Во время обновления laravel до 5,6 -- php поле с участием laravel поле с участием composer-php пол Связанный проблема

Composer stuck on `Something's changed, looking at all rules again` while updating laravel to 5.6


0
vote

проблема

русский

Я пытаюсь обновить мою приложение Laravel. Я был в 5.2, а теперь я в 5,5. Все работает нормально до здесь.

Теперь я изменил его на <код> 5.6.* в моем файле композитора, и независимо от того, сколько раз я бегу <код> composer update , он застрял на

<Код> Something's changed, looking at all rules again (pass #142)

Не имеет значения, сколько проездов я позволил ему продолжать.

 <код> {     "name": "laravel/laravel",     "description": "The Laravel Framework.",     "keywords": ["framework", "laravel"],     "license": "MIT",     "type": "project",     "require": {         "php": ">=5.5.9",         "laravel/framework": "5.5.*",         "laravelcollective/html": "5.5.*",         "jenssegers/agent": "^2.6",         "doctrine/dbal": "v2.5.5",         "guzzlehttp/guzzle": "~6.0",         "laravel/cashier": "~6.0",         "spatie/laravel-backup":"^3.0.0",         "maatwebsite/excel": "~2.1.0",         "rap2hpoutre/laravel-log-viewer":"0.8.0",         "arcanedev/log-viewer": "4.2.*",         "tymon/jwt-auth": "0.5.*",         "aws/aws-sdk-php-laravel": "3.1.0",         "league/flysystem-aws-s3-v3": "~1.0.0",         "tecnickcom/tcpdf": "^6.2",         "ip2location/ip2location-laravel": "^1.0",         "geoip2/geoip2":"~2",         "maxmind-db/reader": "~1.0",         "pusher/pusher-php-server": "~3.0",         "maknz/slack-laravel": "^1.0",         "laravel/tinker": "1.0.10"     },     "require-dev": {         "fzaninotto/faker": "~1.4",         "mockery/mockery": "0.9.*",         "phpunit/phpunit": "~6.0",         "symfony/css-selector": "3.1.*",         "symfony/dom-crawler": "3.1.*",         "filp/whoops": "~2.0"     },     "autoload": {         "classmap": [             "database"         ],         "psr-4": {             "App\": "app/"         },         "files": [            "app/helpers.php"         ]     },     "autoload-dev": {         "classmap": [             "tests/TestCase.php"         ]     },     "scripts": {         "post-root-package-install": [             "php -r "copy('.env.example', '.env');""         ],         "post-create-project-cmd": [             "php artisan key:generate"         ],         "post-install-cmd": [             "Illuminate\Foundation\ComposerScripts::postInstall"         ],         "post-update-cmd": [             "Illuminate\Foundation\ComposerScripts::postUpdate"         ],         "post-autoload-dump": [             "Illuminate\Foundation\ComposerScripts::postAutoloadDump",             "@php artisan package:discover"         ]     },     "config": {         "preferred-install": "dist"     } }   

Первоначально произошла проблема с третьим сторонним пакетом <Код> https://github.com/spatie/laravel-backup , который вызывал проблемы, но я тоже пытался удалить его. Еще такой же проблема. : (

Английский оригинал

I am trying to update my Laravel application. I was at 5.2 and now I am at 5.5. Everything works fine till here.

Now I have changed it to 5.6.* in my composer file, and no matter how many times I run composer update, it gets stuck at

Something's changed, looking at all rules again (pass #142)

Doesn't matter how many passes I let it go on for.

{     "name": "laravel/laravel",     "description": "The Laravel Framework.",     "keywords": ["framework", "laravel"],     "license": "MIT",     "type": "project",     "require": {         "php": ">=5.5.9",         "laravel/framework": "5.5.*",         "laravelcollective/html": "5.5.*",         "jenssegers/agent": "^2.6",         "doctrine/dbal": "v2.5.5",         "guzzlehttp/guzzle": "~6.0",         "laravel/cashier": "~6.0",         "spatie/laravel-backup":"^3.0.0",         "maatwebsite/excel": "~2.1.0",         "rap2hpoutre/laravel-log-viewer":"0.8.0",         "arcanedev/log-viewer": "4.2.*",         "tymon/jwt-auth": "0.5.*",         "aws/aws-sdk-php-laravel": "3.1.0",         "league/flysystem-aws-s3-v3": "~1.0.0",         "tecnickcom/tcpdf": "^6.2",         "ip2location/ip2location-laravel": "^1.0",         "geoip2/geoip2":"~2",         "maxmind-db/reader": "~1.0",         "pusher/pusher-php-server": "~3.0",         "maknz/slack-laravel": "^1.0",         "laravel/tinker": "1.0.10"     },     "require-dev": {         "fzaninotto/faker": "~1.4",         "mockery/mockery": "0.9.*",         "phpunit/phpunit": "~6.0",         "symfony/css-selector": "3.1.*",         "symfony/dom-crawler": "3.1.*",         "filp/whoops": "~2.0"     },     "autoload": {         "classmap": [             "database"         ],         "psr-4": {             "App\": "app/"         },         "files": [            "app/helpers.php"         ]     },     "autoload-dev": {         "classmap": [             "tests/TestCase.php"         ]     },     "scripts": {         "post-root-package-install": [             "php -r "copy('.env.example', '.env');""         ],         "post-create-project-cmd": [             "php artisan key:generate"         ],         "post-install-cmd": [             "Illuminate\Foundation\ComposerScripts::postInstall"         ],         "post-update-cmd": [             "Illuminate\Foundation\ComposerScripts::postUpdate"         ],         "post-autoload-dump": [             "Illuminate\Foundation\ComposerScripts::postAutoloadDump",             "@php artisan package:discover"         ]     },     "config": {         "preferred-install": "dist"     } } 

Initially there was an issue with a third party package https://github.com/spatie/laravel-backup which was causing issues but I have tried removing it as well. Still same issue. :(

</div
        
     
     

Список ответов

0
 
vote
<Р> Я попытался удалить на зависимостях в то время и обновление

<Код> "laravel/cashier": "~6.0"

<Р> Это один причиняло вопрос. Изменено его <код> ~7.0 и теперь он работает отлично. <Р> Любой другой с этой проблемой, попробуйте удалить все и попробовать зависимостей установки их по одному за раз, и, скорее всего, вы найдете виновника, то вы можете попробовать обновления, что один отдельно.
 

I tried removing on dependancy at a time and updating

"laravel/cashier": "~6.0"

This one was causing the issue. Changed it to ~7.0 and now it works fine.

Any one else having this issue, just try to remove all dependancies and try installing them one at a time, and most probably you will find the culprit, then you can try updating that one seperately.

</div
 
 
0
 
vote
<Р> Для меня преступник был <код> SwipeRefreshLayout.setOnRefreshListener0 , который кажется, что это больше не нужны от Laravel <код> SwipeRefreshLayout.setOnRefreshListener1 года.
 

For me the culprit was phpspec/phpspec, which seems like it is no longer needed from Laravel 5.2 onwards.

</div
 
 
0
 
vote
<Р>, если установить это расширение "nesbot / углерод": "^ 2,17", просто обновить его
 

if you install this extension "nesbot/carbon": "^2.17",Just upgrade him

</div
 
 
 
 

Связанный проблема

0  Оптимизировать этот запрос на 1000000+ строк  ( Optimize this query for 1000000 rows ) 
Мне нужно потянуть данные и записывать его в файл CSV, но слишком много времени и слишком много времени. Что не так с этим и что я могу сделать? Кроме того, я...

6  Magento Получить цену, включая налог в файл нет шаблона  ( Magento get price including tax in a none template file ) 
На данный момент я пытаюсь получить цену продукта, включая налог в PHP-файле для моего продукта. У меня есть этот код в данный момент: <код> $_product = Mag...

1  Иерархическая система комментариев в резьбовом режиме: php и mysql  ( Hierarchical commenting system in threaded view php and mysql ) 
У меня есть необходимость оказать резьбовое изображение 2-уровневых иерархических комментариев системы. Комментарии хранятся в базе данных. Информация о иерар...

2  Laravel 5.2 Hasthrough  ( Laravel 5 2 hasthrough ) 
Так что я пытаюсь получить доступ к пользователям заметки по их аккаунтам. В основном Notes не принадлежат пользователю, они принадлежат к учетной записи, в к...

1  Форма подписки Rapidmail перенаправляет после подписки электронной почты - MailChimp  ( Rapidmail subscription form redirect after email subscription mailchimp ) 
Я создаю веб-страницу, которая включает в себя очень простую форму подписки, в основном собирая адреса электронной почты, заинтересованные в продукте. Для это...

0  Создание копии Symfony Project на сервере?  ( Making a copy of symfony project on server ) 
Я пытаюсь скопировать существующий проект Symfony в другой каталог, поэтому я могу проверить изменения, прежде чем применять их в живую версию. Я получаю ош...

0  Невозможно получить любые поля объявлений из API API Facebook (PHP v2.8.1)  ( Unable to fetch any adset fields from facebook ads api php v2 8 1 ) 
Я получаю поля Adaccount просто хорошо. Но все мои попытки получить адапты неудачей. Я пытаюсь получить идеи всех кампаний, бегущих под Adaccount. Но во-первы...

1  Проблемы проектирования базы данных с отношениями  ( Database design issues with relationships ) 
Я работаю над обновлением для существующей базы данных, которая была разработана без какого-либо из кода для реализации рассматриваемой конструкции. Теперь я ...

0  Google Map не отображает  ( Google map not displaying ) 
У меня есть карта Google, которая используется здесь: http://www.comehike.com/outdoors/birds/birds.php Теперь я вижу сообщения об ошибках .j для 1) Инициа...

-1  Как схватить значение флажки как целое число и не строку? [Дубликат]  ( How to grab checkbox value as integer and not string ) 
<в сторону CLASS = "S-NEWACTS S-WELTIVE__info JS-Post-New Imide MB16« Роль = «Статус»> Этот вопрос уже есть ответы здесь : ...

2  Отправка файла в Google Drive  ( Submitting file to google drive ) 
Я пытался отправить файл в Google Drive. Хотя файл загружен на диск, я получаю ошибку после удара принять кнопку. <код> <?php require_once 'google-api-php-c...

-2  PHP отображается только идентификатор, а не значение из MySQL [Закрыто]  ( Php only displaying id and not the value from mysql ) 
<в сторону CLASS = "S-NEWACTS S-WELTIVE__info JS-Post-New Imide MB16« Роль = «Статус»> закрыт . Этот вопрос нуждается в Детали или ясность . В настоящее...

1  PHP: DateTime '-1 день'  ( Php datetime 1 day ) 
Я хочу получить дату вчерашнего дня текущей даты в часовом поясе SpeciFC. Я пробовал это, но это не работает: <код> LoopGenrtReport2 Я все еще получаю се...

0  Mac Yosmite: Установите MacPorts Apache в качестве по умолчанию (Opt / local / apache2) на localhost, а не распределение OSX  ( Mac yosmite set macports apache as default opt local apache2 on localhost rat ) 
Я установил Apache через MACPPORTS, он работал нормально, но вдруг по какой-то причине он переключился на использование распределения OSX по умолчанию Apache,...

0  Как я могу получить ответ JSON обратно (PHP)  ( How can i get json response back php ) 
Я сталкиваюсь с проблемой с ответом сервера. Моя цель состоит в том, чтобы отправить некоторые данные на сервер и получить некоторые ответы с учетом отправлен...